summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/go.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/go.sh')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/go.sh82
1 files changed, 82 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/go.sh b/build_tools/archiso-19/mythvantage/go.sh
new file mode 100755
index 0000000..399cae8
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/go.sh
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+function copy_custom(){
+ cp -f profile_files/$1.png syslinux/splash.png || exit 1
+ cp -f profile_files/pacman.conf . ||exit 1
+ cat profile_files/$1.pacman >> ./pacman.conf || exit 1
+
+ cp -f profile_files/packages.x86_64 . || exit 1
+ cp -f profile_files/packages.x86_64.cache . || exit 1
+ cp -f profile_files/pristine.list . || exit 1
+ }
+
+
+
+
+declare -a menuarray
+
+menuarray=( 'local_mirror_testing'
+ 'local_disk_testing'
+ 'remote_testing'
+ '-----------------'
+ 'local_mirror_release'
+ 'remote_release' )
+
+#echo ${array1[@]}
+
+element_count=${#menuarray[*]}
+element_count=`expr $element_count - 1`
+clear
+echo
+echo
+if [ x$1 = x ]
+then
+ for i in `seq 0 $element_count`
+ do
+ echo "$i ) ${menuarray[$i]}"
+ echo
+ done
+ echo "Select the profile to use:"
+ read a
+ if [ "x"$a = "x" ]
+ then
+ a="0"
+ fi
+ profile=${menuarray[$a]}
+
+ echo $profile
+ copy_custom $profile
+ echo "Creating ISO"
+
+ if [ ! -e work/x86_64/airootfs/dev/zero ]
+ then
+ rm -rf work/
+ else
+ echo "dev appears to be mounted in work"
+ exit 2
+ fi
+ #./build.sh clean all
+ ./build.sh -vv build single netinstall
+ status=$?
+ if [ $status = 0 ]
+ then
+# if [ -f /usr/bin/isohybrid ]
+# then
+# echo "Running isohybrid..."
+# /usr/bin/isohybrid /tmp/test2.iso
+# else
+# echo "Syslinux needs to be installed to run isohybrid"
+# fi
+
+ echo "*****************************************************"
+ echo "your $profile iso is complete (out/test3.iso)"
+ echo "*****************************************************"
+ rm -f pacman.conf
+ rm -f packages.x86_64
+ rm -f packages.x86_64.cache
+ rm -f pristine.list
+ fi
+
+ date
+ #cd $OLD
+fi \ No newline at end of file